package com.yihu.jw.entity.base.complaint;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "base_complaint_operate_log")
public class BaseComplaintOperateLogDO extends UuidIdentityEntity {
    private String  relationCode;
    private String  operateFrom;
    private String  operateTo;
    private Date createTime;
    private String  complaintFrom;
    private String  complaintTo;
    private String  status;
    private String  operateType;
    private String  cancelBy;
    private String  reason;
    @Column(name = "reason")
    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    @Column(name = "cancel_by")
    public String getCancelBy() {
        return cancelBy;
    }

    public void setCancelBy(String cancelBy) {
        this.cancelBy = cancelBy;
    }

    @Column(name = "status")
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
    @Column(name = "operate_type")
    public String getOperateType() {
        return operateType;
    }

    public void setOperateType(String operateType) {
        this.operateType = operateType;
    }

    @Column(name = "relation_code")
    public String getRelationCode() {
        return relationCode;
    }

    public void setRelationCode(String relationCode) {
        this.relationCode = relationCode;
    }
    @Column(name = "operate_from")
    public String getOperateFrom() {
        return operateFrom;
    }

    public void setOperateFrom(String operateFrom) {
        this.operateFrom = operateFrom;
    }
    @Column(name = "operate_to")
    public String getOperateTo() {
        return operateTo;
    }

    public void setOperateTo(String operateTo) {
        this.operateTo = operateTo;
    }
    @Column(name = "create_time")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    @Column(name = "complaint_from")
    public String getComplaintFrom() {
        return complaintFrom;
    }

    public void setComplaintFrom(String complaintFrom) {
        this.complaintFrom = complaintFrom;
    }
    @Column(name = "complaint_to")
    public String getComplaintTo() {
        return complaintTo;
    }

    public void setComplaintTo(String complaintTo) {
        this.complaintTo = complaintTo;
    }
}
